package cn.com.poc.writing.entity;	


public class BizAiWritingDialoguesRecordEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *主键ID
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** role
    *角色 user-用户  assistant-助手
    */ 
    private java.lang.String role;

    public java.lang.String getRole(){
        return this.role;
    }
    
    public void setRole(java.lang.String role){
        this.role = role;
    }
	/** agent_id
    *agent应用ID
    */ 
    private java.lang.String agentId;

    public java.lang.String getAgentId(){
        return this.agentId;
    }
    
    public void setAgentId(java.lang.String agentId){
        this.agentId = agentId;
    }
	/** dialogs_id
    *会话ID
    */ 
    private java.lang.String dialogsId;

    public java.lang.String getDialogsId(){
        return this.dialogsId;
    }
    
    public void setDialogsId(java.lang.String dialogsId){
        this.dialogsId = dialogsId;
    }
	/** member_id
    *用户ID
    */ 
    private java.lang.Long memberId;

    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
	/** content
    *内容
    */ 
    private java.lang.String content;

    public java.lang.String getContent(){
        return this.content;
    }
    
    public void setContent(java.lang.String content){
        this.content = content;
    }
	/** document_title
    *文章标题
    */ 
    private java.lang.String documentTitle;

    public java.lang.String getDocumentTitle(){
        return this.documentTitle;
    }
    
    public void setDocumentTitle(java.lang.String documentTitle){
        this.documentTitle = documentTitle;
    }
	/** timestamp
    *时间戳
    */ 
    private java.lang.Long timestamp;

    public java.lang.Long getTimestamp(){
        return this.timestamp;
    }
    
    public void setTimestamp(java.lang.Long timestamp){
        this.timestamp = timestamp;
    }
	/** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
	/** reasoning_content
    *推理内容
    */ 
    private java.lang.String reasoningContent;

    public java.lang.String getReasoningContent(){
        return this.reasoningContent;
    }
    
    public void setReasoningContent(java.lang.String reasoningContent){
        this.reasoningContent = reasoningContent;
    }
	/** file_url
    *对话文件地址
    */ 
    private java.lang.String fileUrl;

    public java.lang.String getFileUrl(){
        return this.fileUrl;
    }
    
    public void setFileUrl(java.lang.String fileUrl){
        this.fileUrl = fileUrl;
    }
}